/// class PD.Web.UI.ControlEventArgs

PD.Web.UI.ControlEventArgs = Class.extend({

    //===================================
    // CONSTRUCTOR
    //===================================

    _parent: null,

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (args) {
        this._parent = args.parent;
    },

    //===================================
    // PROPERTIES
    //===================================

    get_parent: function () {
        return this._parent;
    },

    get_node: function () {
        return this.get_parent().get_node();
    },

    get_insertAtNode: function () {
        var selector = this.get_parent().get_insertChildrenAt();
        return selector != null ? this.get_node().find(selector) : this.get_node();
    }

})